Qt Reference Documentation

# QMargins Class Reference

The QMargins class defines the four margins of a rectangle. More...

     #include <QMargins>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| QMargins ()
| QMargins ( int left, int top, int right, int bottom )
int | bottom () const
bool | isNull () const
int | left () const
int | right () const
void | setBottom ( int bottom )
void | setLeft ( int left )
void | setRight ( int right )
void | setTop ( int Top )
int | top () const

## Related Non-Members

bool | operator!= ( const QMargins & m1, const QMargins & m2 )
bool | operator== ( const QMargins & m1, const QMargins & m2 )

## Detailed Description

The QMargins class defines the four margins of a rectangle.

QMargin defines a set of four margins; left, top, right and bottom, that describe the size of the borders surrounding a rectangle.

The isNull() function returns true only if all margins are set to zero.

QMargin objects can be streamed as well as compared.

## Member Function Documentation

### QMargins::QMargins ()

Constructs a margins object with all margins set to 0.

See also isNull().

### QMargins::QMargins ( int left, int top, int right, int bottom )

Constructs margins with the given left, top, right, bottom

See also setLeft(), setRight(), setTop(), and setBottom().

### int QMargins::bottom () const

Returns the bottom margin.

See also setBottom().

### bool QMargins::isNull () const

Returns true if all margins are is 0; otherwise returns false.

### int QMargins::left () const

Returns the left margin.

See also setLeft().

### int QMargins::right () const

Returns the right margin.

See also setRight().

### void QMargins::setBottom ( int bottom )

Sets the bottom margin to bottom.

See also bottom().

### void QMargins::setLeft ( int left )

Sets the left margin to left.

See also left().

### void QMargins::setRight ( int right )

Sets the right margin to right.

See also right().

### void QMargins::setTop ( int Top )

Sets the Top margin to Top.

See also top().

### int QMargins::top () const

Returns the top margin.

See also setTop().

## Related Non-Members

### bool operator!= ( const QMargins & m1, const QMargins & m2 )

Returns true if m1 and m2 are different; otherwise returns false.

### bool operator== ( const QMargins & m1, const QMargins & m2 )

Returns true if m1 and m2 are equal; otherwise returns false.